Package org.lwjgl.util.mapped

# Class MappedObjectTransformer

java.lang.Object
org.lwjgl.util.mapped.MappedObjectTransformer

public class MappedObjectTransformer extends Object
This class implements the bytecode transformation that mapped object go through. Mapped object classes need to first be registered with the transformer, see `register(Class)`.

The transformer supports some debugging tools, enabled through JVM system properties:
org.lwjgl.util.mapped.PrintTiming=true, prints timing information for the transformation step.
org.lwjgl.util.mapped.PrintActivity=true, prints activity information.
org.lwjgl.util.mapped.PrintBytecode=true, prints the transformed bytecode.
org.lwjgl.util.Debug must also be set to true for the above to work.

Author:
  Riven

## Constructor Summary

Constructors
Constructor
Description
`MappedObjectTransformer()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`register(Class<? extends MappedObject> type)`
Registers a class as a mapped object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MappedObjectTransformer

public MappedObjectTransformer()

## Method Details

### register

public static void register(Class<? extends MappedObject> type)
Registers a class as a mapped object. The class must extend `MappedObject` and be annotated with `MappedField`.

Parameters:
  `type` - the mapped object class.